<?php
//Error-Handling
$LogPHPErrors = false;

//Versionsinformationen
$sVersionNr    = "1.0.7";
$sVersionDatum = "21.01.2015";

//Oxid-Umgebung initialisieren
require_once realpath("..") . "/bootstrap.php";

if($LogPHPErrors)
{
    error_reporting(0);
    ini_set("display_errors", "Off");
    set_error_handler("errorHandler");
}
else
    error_reporting(E_ERROR);

//Shop-Konfiguration auslesen
$config = oxRegistry::getConfig();

//Konstanten
$ImgTempNamePrefix = "oxpic_";
//Lieferstatus von den Hochgeladenen Artikeln:
//Standard = 1
//Fremdlager = 4
//Wenn ausverkauft offline = 2
//Wenn ausverkauft nicht bestellbar = 3
$DefaultStockFlag = "3";
//Aktion zu der der Artikel hinzugefügt wird, wenn "Auf Startseite anzeigen" gesetzt ist
$ShopStartPageActionTitle = "Frisch eingetroffen";
//ShopId, die Angesprochen wird (vorbereitung für Mutlishop)
$DefaultShopId = "oxbaseshop";

if(isset($_POST["user"]) && isset($_POST["password"]))
{
   $sUser=$_POST["user"];
   $sPassword=$_POST["password"];
}
else
{
   $sUser=$_GET["user"];
   $sPassword=$_GET["password"];
}

if ($sUser=="" or $sPassword=="")
{
    ?>
    <html><head><title></title></head><body>
    <h3>Oxid Shopanbindung</h3>
    <h4>Version <?php echo $sVersionNr; ?> Stand : <?php echo $sVersionDatum; ?></h4>
    <!-- <?php echo md5(__FILE__)?> -->
    <br><br>
    Aufruf des Scriptes mit <br><b><?php echo $_SERVER["SCRIPT_NAME"]; ?>?user=<font color="red">ADMIN-BENUTZER</font>&password=<font color="red">ADMIN-PASSWORD-IM-KLARTEXT</font>
    </b>
    </body></html>
    <?php
    
    exit;
}
else
{
    require ("ox_auctionstudio_functions.php");

    $bAdminLogin = CheckAdminLogin($sUser,$sPassword);
    if(!$bAdminLogin)
    {
        SendXMLHeader ();
        print_xml_status (105, $_POST["action"], "WRONG LOGIN", "", "", "");	 
        exit; 
    }
}

$sAction = $_POST["action"];
if(empty($sAction))
    $sAction = $_GET["action"];

switch ($sAction) 
{
 case "version":
   SendXMLHeader ();
   SendScriptVersion ();
   exit; 
 
 case "categories_export":
   SendXMLHeader ();
   SendCategories ();
   exit;

 case "orders_export":
   SendXMLHeader ();
   SendOrders ();
   exit;

 // Hinzugefügt am 04.05.2012 von CM: 
 case "categories_export_count":
     SendXMLHeader();
     SendCategoriesCount();
     exit;

 case "products_image_upload":
    SendXMLHeader ();
    ProductsImageUpload ();
    exit;   

  case "products_update":
    SendXMLHeader ();
    ProductsUpdate ();
    exit;

  case "products_erase":
    SendXMLHeader ();
    ProductsErase ();
    exit;

  case "categories_update":
    SendXMLHeader ();
    CategoriesUpdate ();
    exit;

  case "prod2cat_update":
    SendXMLHeader ();  
    Prod2CatUpdate ();
    exit;

  case "order_states_upload":
    SendXMLHeader();
    SetOrderStates();
    exit;
    
 case "prod2cat_erase_all":
     SendXMLHeader();
     Prod2CatEraseAll();
     exit;
     
 case "clear_cache":
     SendXMLHeader();
     ClearCache();
     exit;
 
  default:
    ShowHTMLMenu();
    exit;
}

function errorHandler ($errno, $errmsg, $filename, $linenum, $vars) { 
    $time=date("d M Y H:i:s"); 

    $errortype = array (1     => "Error",
                        2     => "Warning",
                        4     => "Parsing Error",
                        8     => "Notice",
                        16    => "Core Error",
                        32    => "Core Warning",
                        64    => "Compile Error",
                        128   => "Compile Warning",
                        256   => "User Error",
                        512   => "User Warning",
                        1024  => "User Notice",
                        2048  => "Strict",
                        4096  => "Recoverable Error",
                        8192  => "Deprecated",
                        16384 => "User Depricated"); 

    $errlevel=$errortype[$errno]; 

    //Write error to log file (CSV format) 
    $errfile=fopen("errors.csv","a"); 
    if($errfile === false)
        die("Die Datei errors.csv konnte nicht geöffnet werden. Bitte prüfen Sie die Dateiberechtigungen des Ordners");

    fputs($errfile,"\"$time\",\"$filename: $linenum\",\"($errlevel) $errmsg\"\r\n"); 
    fclose($errfile); 

    if(strpos($errlevel, "Error") !== false) {
        //Terminate script if fatal errror
        die("Ein fataler Fehler ist aufgetreten. Das Ausführen des Scriptes wurde abgebrochen. Bitte kontaktieren Sie den Support von Auction Studio und senden Sie die as_error.csv mit."); 
    } 
}

?>